﻿using HeuristicLab.Common;
using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Problems.Robocode
{
    [StorableClass]
    public class SetAdjustRadarForGunTurn : Symbol
    {
        public override int MinimumArity { get { return 1; } }
        public override int MaximumArity { get { return 1; } }

        [StorableConstructor]
        private SetAdjustRadarForGunTurn(bool deserializing) : base(deserializing) { }
        private SetAdjustRadarForGunTurn(SetAdjustRadarForGunTurn original, Cloner cloner)
            : base(original, cloner)
        {
        }

        public SetAdjustRadarForGunTurn()
            : base("SetAdjustRadarForGunTurn", "Sets the radar to turn independent from the gun's turn.")
        {
        }

        public override IDeepCloneable Clone(Cloner cloner)
        {
            return new SetAdjustRadarForGunTurn(this, cloner);
        }
    }
}